=== debian/changelog ===
libam7xxx (0.1.5-3build1) wily; urgency=medium

  * No-change rebuild against ffmpeg 2.7

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Tue, 01 Sep 2015 18:10:50 +0200

libam7xxx (0.1.5-3) unstable; urgency=medium

  * debian/control: move asciidoc and xmlto to Build-Depends
    They were in Build-Depends-Indep before, but this was not right as these
    dependencies are needed for creating the man pages in the arch:any
    packages.

 -- Antonio Ospite <ao2@ao2.it>  Thu, 06 Nov 2014 15:09:23 +0100

libam7xxx (0.1.5-2) unstable; urgency=medium

  * debian/gbp.conf: fix typo s/prinstine-tar/pristine-tar/g
  * debian/libam7xxx0.1-doc.lintian-overrides: update one override
  * debian/patches: add a patch to fix the license of the example programs
  * debian/copyright: document the license of some scripts from contrib/
  * debian/libam7xxx0.1-bin.install: distribute some files from contrib/
  * debian/libam7xxx0.1-doc.examples: move the C example programs to libam7xxx-dev

 -- Antonio Ospite <ao2@ao2.it>  Mon, 07 Jul 2014 22:41:29 +0200

libam7xxx (0.1.5-1) unstable; urgency=medium

  * New upstream release
  * debian/control: update Maintainer email address
  * debian/copyright: update contact info and copyright years
  * debian/rules: install the NEWS file as the upstream changelog
  * debian/control: rename the libam7xxx-doc package to libam7xxx0.1-doc
  * debian/libam7xxx0.1-doc.lintian-overrides: update overrides
  * debian/control: rename the libam7xxx-bin package to libam7xxx0.1-bin
  * debian/patches: drop all patches
  * debian/watch: detect new versions from gitweb
  * debian/control: fix installation over old versions
  * debian/control: use a single dash in short descriptions
  * debian/control: fix cme warnings "Synopsis is too long."

 -- Antonio Ospite <ao2@ao2.it>  Thu, 15 May 2014 18:09:09 +0200

libam7xxx (0.1.4-3) unstable; urgency=medium

  * debian/control: remove versions from libav dependencies
  * debian/patches: add 0003-CMakeLists.txt-define-DEBUG-1-only-when-CMAKE_BUILD_.patch
  * debian/control: drop the version on the asciidoc dependency
  * debian/gbp.conf: explicitly disable pristine-tar
  * debian/control: bump Standards-Version to 3.9.5
  * debian/control: specify the debian package branch in Vcs-Git
  * debian/control: drop the am7xxx metapackage
  * debian/patches: add 0004-Revert-am7xxx-use-the-symbolic-constant-for-libusb-l.patch

 -- Antonio Ospite <ospite@studenti.unina.it>  Wed, 29 Jan 2014 15:29:28 +0100

libam7xxx (0.1.4-2) unstable; urgency=low

  * debian/patches: add 0002-am7xxx-add-quirks-for-Philips-Sagemcom-PicoPix-2055.patch

 -- Antonio Ospite <ospite@studenti.unina.it>  Sat, 03 Aug 2013 16:27:13 +0200

libam7xxx (0.1.4-1) unstable; urgency=low

  * New upstream release
  * debian/patches: refresh patches for v0.1.4
  * debian/libam7xxx0.1.symbols: add the am7xxx_send_image_async symbol
  * debian/control: update the list of supported devices
  * debian/control: fix a not-binnmuable-any-depends-all lintian error
  * debian/control: update Standards-Version to 3.9.4

 -- Antonio Ospite <ospite@studenti.unina.it>  Sun, 28 Jul 2013 22:39:42 +0200

libam7xxx (0.1.3-1) unstable; urgency=low

  * New upstream release
  * debian/libam7xxx0.1.symbols: add the am7xxx_set_zoom_mode symbol
  * debian/patches: add patch 0001 for a missing man page
  * debian/control: update the list of supported devices
  * debian: add a package for debug symbols
  * debian/patches: add 0002-Revert-am7xxx-play-switch-to-avcodec_encode_video2.patch
  * debian/control: restrict the version also for the other libav libraries

 -- Antonio Ospite <ospite@studenti.unina.it>  Mon, 18 Mar 2013 14:04:14 +0100

libam7xxx (0.1.2-1) unstable; urgency=low

  * Initial release (Closes: #666075)

 -- Antonio Ospite <ospite@studenti.unina.it>  Wed, 28 Mar 2012 16:51:54 +0200
