=== debian/control ===
Source: libam7xxx
Section: libdevel
Priority: extra
Maintainer: Antonio Ospite <ao2@ao2.it>
Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), cmake, pkg-config,
 libusb-1.0-0-dev, libxcb1-dev,
 libavdevice-dev, libavformat-dev, libavcodec-dev, libswscale-dev,
 asciidoc, xmlto
Build-Depends-Indep: doxygen
Standards-Version: 3.9.5
Homepage: http://git.ao2.it/libam7xxx.git
Vcs-Git: git://git.ao2.it/libam7xxx.git -b debian
Vcs-Browser: http://git.ao2.it/libam7xxx.git

Package: libam7xxx0.1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: libam7xxx0.1-bin (= ${binary:Version}), usb-modeswitch, usb-modeswitch-data (>= 20111023-1)
Description: library for accessing am7xxx based devices
 libam7xxx is an Open Source library to communicate via USB with projectors and
 Digital Picture Frames based on the Actions Micro AM7XXX family if ICs.
 .
 libam7xxx makes it possible to use these devices as USB displays on
 non-Windows Operating Systems like GNU/Linux or Android/Linux just to name
 a few, and on non-PC platforms like for instance mobile phones, tablets or
 game consoles.
 .
 Examples of supported devices are:
   - Acer C110
   - Acer C112
   - Aiptek PocketCinema T25
   - Philips/SagemCom PicoPix 1020
   - Philips/SagemCom PicoPix 2055
   - Philips/SagemCom PicoPix 2330
   - Top-Height/TEC PP700
 .
 This package contains the shared library of libam7xxx.

Package: libam7xxx0.1-dbg
Section: debug
Architecture: any
Depends: ${misc:Depends}, libam7xxx0.1 (= ${binary:Version})
Description: debugging symbols for libam7xxx
 libam7xxx is an Open Source library to communicate via USB with projectors and
 Digital Picture Frames based on the Actions Micro AM7XXX family if ICs.
 .
 libam7xxx makes it possible to use these devices as USB displays on
 non-Windows Operating Systems like GNU/Linux or Android/Linux just to name
 a few, and on non-PC platforms like for instance mobile phones, tablets or
 game consoles.
 .
 Examples of supported devices are:
   - Acer C110
   - Acer C112
   - Aiptek PocketCinema T25
   - Philips/SagemCom PicoPix 1020
   - Philips/SagemCom PicoPix 2055
   - Philips/SagemCom PicoPix 2330
   - Top-Height/TEC PP700
 .
 This package contains the debugging symbols for libam7xxx.

Package: libam7xxx-dev
Architecture: any
Depends: ${misc:Depends}, libam7xxx0.1 (= ${binary:Version})
Recommends: libam7xxx0.1-doc (= ${source:Version})
Description: library for accessing am7xxx devices - development files
 libam7xxx is an Open Source library to communicate via USB with projectors and
 Digital Picture Frames based on the Actions Micro AM7XXX family if ICs.
 .
 libam7xxx makes it possible to use these devices as USB displays on
 non-Windows Operating Systems like GNU/Linux or Android/Linux just to name
 a few, and on non-PC platforms like for instance mobile phones, tablets or
 game consoles.
 .
 Examples of supported devices are:
   - Acer C110
   - Acer C112
   - Aiptek PocketCinema T25
   - Philips/SagemCom PicoPix 1020
   - Philips/SagemCom PicoPix 2055
   - Philips/SagemCom PicoPix 2330
   - Top-Height/TEC PP700
 .
 This is the development package containing the libraries and header for
 software development with libam7xxx.

Package: libam7xxx0.1-bin
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libam7xxx-bin
Replaces: libam7xxx-bin
Description: library for accessing am7xxx devices - utilities
 libam7xxx is an Open Source library to communicate via USB with projectors and
 Digital Picture Frames based on the Actions Micro AM7XXX family if ICs.
 .
 libam7xxx makes it possible to use these devices as USB displays on
 non-Windows Operating Systems like GNU/Linux or Android/Linux just to name
 a few, and on non-PC platforms like for instance mobile phones, tablets or
 game consoles.
 .
 Examples of supported devices are:
   - Acer C110
   - Acer C112
   - Aiptek PocketCinema T25
   - Philips/SagemCom PicoPix 1020
   - Philips/SagemCom PicoPix 2055
   - Philips/SagemCom PicoPix 2330
   - Top-Height/TEC PP700
 .
 This package includes utilities and sample programs for libam7xxx.

Package: libam7xxx0.1-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Conflicts: libam7xxx-doc
Replaces: libam7xxx-doc
Description: library for accessing am7xxx devices - documentation
 libam7xxx is an Open Source library to communicate via USB with projectors and
 Digital Picture Frames based on the Actions Micro AM7XXX family if ICs.
 .
 libam7xxx makes it possible to use these devices as USB displays on
 non-Windows Operating Systems like GNU/Linux or Android/Linux just to name
 a few, and on non-PC platforms like for instance mobile phones, tablets or
 game consoles.
 .
 Examples of supported devices are:
   - Acer C110
   - Acer C112
   - Aiptek PocketCinema T25
   - Philips/SagemCom PicoPix 1020
   - Philips/SagemCom PicoPix 2055
   - Philips/SagemCom PicoPix 2330
   - Top-Height/TEC PP700
 .
 This package contains the documentation of the API of libam7xxx.
