## libam7xxx 0.1.6

=== examples/CMakeLists.txt ===
--- 
+++ 
@@ -18,8 +18,8 @@
 option(BUILD_AM7XXX-PLAY "Build a more complete example: am7xxx-play" TRUE)
 if(BUILD_AM7XXX-PLAY)
   find_package(FFmpeg REQUIRED)
-  set(CMAKE_REQUIRED_LIBRARIES ${FFMPEG_LIBRARIES}) 
-  set(CMAKE_REQUIRED_INCLUDES ${FFMPEG_LIBAVFORMAT_INCLUDE_DIRS}) 
+  set(CMAKE_REQUIRED_LIBRARIES ${FFMPEG_LIBRARIES})
+  set(CMAKE_REQUIRED_INCLUDES ${FFMPEG_LIBAVFORMAT_INCLUDE_DIRS})
   check_symbol_exists(avformat_open_input
     "${FFMPEG_LIBAVFORMAT_INCLUDE_DIRS}/libavformat/avformat.h"
     HAVE_AVFORMAT_OPEN_INPUT)
@@ -50,6 +50,7 @@
   if (XCB_FOUND)
     add_definitions("${LIBXCB_DEFINITIONS} -DHAVE_XCB")
     include_directories(${LIBXCB_INCLUDE_DIRS})
+    set(OPTIONAL_LIBRARIES ${LIBXCB_LIBRARIES})
   endif()
 
   add_executable(am7xxx-play am7xxx-play.c)
@@ -57,7 +58,7 @@
   target_link_libraries(am7xxx-play am7xxx
     ${FFMPEG_LIBRARIES}
     ${FFMPEG_LIBSWSCALE_LIBRARIES}
-    ${LIBXCB_LIBRARIES})
+    ${OPTIONAL_LIBRARIES})
   install(TARGETS am7xxx-play
     DESTINATION "${CMAKE_INSTALL_PREFIX}/bin")
 endif()
