=== debian/changelog ===
libam7xxx (0.1.6-2) unstable; urgency=medium

  * debian/patches: add a patch to make the build of Doxygen docs reproducible
  * debian/patches: add am7xxx-bump-_POSIX_C_SOURCE-to-200112L-for-lroundf.patch
  * debian/libam7xxx0.1-doc.lintian-overrides: drop unused-overrides

 -- Antonio Ospite <ao2@ao2.it>  Tue, 17 Nov 2015 20:18:01 +0100

libam7xxx (0.1.6-1) unstable; urgency=medium

  * New upstream release (Closes: #803832)
  * debian/patches: drop all patches, they have all been applied upstream
  * debian/control: increase Standards-Version to 3.9.6

 -- Antonio Ospite <ao2@ao2.it>  Tue, 17 Nov 2015 18:16:29 +0100
