=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

DEB_LDFLAGS_MAINT_APPEND=-Wl,-Bsymbolic-functions -Wl,--as-needed
include /usr/share/dpkg/buildflags.mk
export CFLAGS CPPFLAGS LDFLAGS

%:
	dh $@

override_dh_installchangelogs:
	dh_installchangelogs NEWS

.PHONY: override_dh_strip
override_dh_strip:
	dh_strip --dbg-package=libam7xxx0.1-dbg
