=== examples/CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,5 @@
 include(CheckSymbolExists)
-add_definitions("-D_POSIX_C_SOURCE=2") # for getopt()
-add_definitions("-D_POSIX_SOURCE") # for sigaction
-add_definitions("-D_BSD_SOURCE") # for strdup
+add_definitions("-D_POSIX_C_SOURCE=200809L") # for getopt(), sigaction(), and strdup()
 
 include_directories(${CMAKE_SOURCE_DIR}/src/)
 
@@ -18,10 +16,10 @@
 option(BUILD_AM7XXX-PLAY "Build a more complete example: am7xxx-play" TRUE)
 if(BUILD_AM7XXX-PLAY)
   find_package(FFmpeg REQUIRED)
-  set(CMAKE_REQUIRED_LIBRARIES ${FFMPEG_LIBRARIES})
+  set(CMAKE_REQUIRED_LIBRARIES ${FFMPEG_LIBAVFORMAT_LIBRARIES})
   set(CMAKE_REQUIRED_INCLUDES ${FFMPEG_LIBAVFORMAT_INCLUDE_DIRS})
   check_symbol_exists(avformat_open_input
-    "${FFMPEG_LIBAVFORMAT_INCLUDE_DIRS}/libavformat/avformat.h"
+    "libavformat/avformat.h"
     HAVE_AVFORMAT_OPEN_INPUT)
   if(NOT HAVE_AVFORMAT_OPEN_INPUT)
     message(FATAL_ERROR
