=== debian/changelog ===
libam7xxx (0.1.7-1) unstable; urgency=medium

  * New upstream release (Closes: #888355)
  * debian/{control,gbp.conf}: change the debian branch name to follow DEP-14
  * debian/patches: drop a patch merged upstream
  * debian/patches: add a patch to fix the version number
  * debian/rules: don't include buildflags.mk manually
  * debian/rules: enable all hardening flags
  * debian/control: replace priority "extra" with "optional"
  * debian/patches: add a patch to fix udev rules
  * debian/patches: add a patch to use GNUInstallDirs when building with cmake
  * debian/*.install: fix paths for multi-arch objects
  * debian/patches: add patch to add the AppStream metadata
  * debian/libam7xxx0.1.install: install the AppStream metainfo file
  * debian/{control,rules}: drop the obsolete -dbg package
  * debian: use https in URLs
  * debian/control: bump Standards-Version to 4.1.3
  * debian/{compat,control}: bump debhelper compatibility to 11
  * debian/libam7xxx0.1-doc.*: additional doc is now installed in the main package
  * debian/libam7xxx0.1-doc.lintian-overrides: remove unused override
  * debian/copyright: update copyright years
  * debian/control: remove unnecessary greater-than versioned dependencies
  * debian/control: remove obsolete Conflicts/Replaces
  * debian/control: drop the dependency on dpkg-dev

 -- Antonio Ospite <ao2@ao2.it>  Sat, 03 Mar 2018 16:17:56 +0100
