=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-Bsymbolic-functions -Wl,--as-needed

%:
	dh $@

override_dh_installchangelogs:
	dh_installchangelogs NEWS

.PHONY: override_dh_strip
override_dh_strip:
	dh_strip --dbgsym-migration='libam7xxx0.1-dbg (<< 0.1.7-1~)'
