=== debian/watch ===
version=3

opts=downloadurlmangle=s/shortlog\/refs\/tags\/(v[\d\.]+)/snapshot\/$1.tar.gz/,\
filenamemangle=s/.*v([\d\.]+)$/libam7xxx-$1.tar.gz/ \
  https://git.ao2.it/libam7xxx.git/tags  ^.*v([\d\.]+)
